- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# dirac::FrameParams Class Reference

Parameters for initialising frame class objects. More...

`#include <common.h>`

List of all members.

## Public Member Functions
| FrameParams ()
| Default constructor.
| FrameParams (const ChromaFormat &cf, int xlen, int ylen)
| Constructor.
| FrameParams (const ChromaFormat &cf, const FrameSort &fs)
| Constructor.
| FrameParams (const SeqParams &sparams)
| Constructor.
| FrameParams (const SeqParams &sparams, const FrameSort &fs)
| Constructor.
const ChromaFormat & | CFormat () const
| Returns the chroma format of the frame.
int | Xl () const
| Returns the width of the frame.
int | Yl () const
| Returns the height of the frame.
const FrameSort & | FSort () const
| Returns the type of the frame (I, L1 or L2).
int | FrameNum () const
| Returns the number of the frame (in time order).
int | ExpiryTime () const
| Returns the number of frames after the current frame number after which the frame can be discarded.
bool | Output () const
| Returns an indication of whether the frame has been output yet.
const std::vector< int > & | Refs () const
| Returns a const C++ reference to the set of reference frame numbers (will be empty if the frame is an I frame).
std::vector< int > & | Refs ()
| Returns non-const C++ referece to the vector of reference frames, to allow them to be set.
void | SetFSort (const FrameSort &fs)
| Sets the type of frame to I, L1 or L2.
void | SetFrameNum (const int fn)
| Sets the frame number.
void | SetExpiryTime (const int expt)
| Sets how long the frame will stay in the buffer.
void | SetAsOutput ()
| Sets a flag to indicate that the frame has been output.

## Detailed Description

Parameters for initialising frame class objects.

Definition at line 431 of file common.h.

## Constructor & Destructor Documentation

FrameParams::FrameParams | ( | const ChromaFormat & | cf,
|  | int | xlen,
|  | int | ylen
| ) |

| Constructor. Frame chroma format is set Frame sort defaults to I frame. Definition at line 409 of file common.cpp.

FrameParams::FrameParams | ( | const ChromaFormat & | cf,
|  | const FrameSort & | fs
| ) |

| Constructor. Frame chroma format and frame sort are set. Definition at line 418 of file common.cpp.

The documentation for this class was generated from the following files:

- C:/guliverkli/src/filters/parser/diracsplitter/libdirac/libdirac_common/common.h
- C:/guliverkli/src/filters/parser/diracsplitter/libdirac/libdirac_common/common.cpp